# -*- coding: utf-8 -*-
import factory
import uuid

from events.takeout.models import TakeoutOperation


class TakeoutOperationFactory(factory.django.DjangoModelFactory):
    task_id = factory.LazyAttribute(lambda i: str(uuid.uuid4()))

    class Meta:
        model = TakeoutOperation
